﻿using System.Windows.Input;
using Xamarin.Forms;

namespace ChartTestApp
{
    public class MainViewModel
    {
        const int xMax = 100;
        const int yMax = 100;

        public VoltageLineChart VoltageLineChart { get; private set; }
        public ICommand LoadDataCommand => new Command(() => LoadData());

        public MainViewModel()
        {
            VoltageLineChart = new VoltageLineChart();
        }

        public void LoadData()
        {
            for (int i = 0; i < xMax; i++)
            {
                VoltageLineChart.Line_Vmax.Add((double)i);
                VoltageLineChart.Line_Vavg.Add((double)i / 2);
                VoltageLineChart.Line_Vmin.Add(yMax - ((double)i / 3));
            }
        }
    }
}
